<?php

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

function inserer_modeles_header_prive($flux) {
	$js = find_in_path('javascript/autosize.min.js');
	$flux .= "\n<script type='text/javascript' src='$js'></script>\n";
	return $flux;
}

function inserer_modeles_insert_head($flux){
	if(lire_config('barre_outils_public') == 'oui'){
		$js = find_in_path('javascript/autosize.min.js');
		$flux .= "\n<script type='text/javascript' src='$js'></script>\n";
	}
	return $flux;
}



function inserer_modeles_affiche_droite($flux) {
	$objets = inserer_modeles_objets();
	if (in_array($flux['args']['exec'], $objets)) {
		include_spip('inc/inserer_modeles');
		if (count(inserer_modeles_lister_formulaires_modeles()) > 0) {
			$flux['data'] .= recuperer_fond('inserer_modeles', $flux['args']);
		}
	}

	return $flux;
}

// Insertion dans le porte-plume

function inserer_modeles_porte_plume_barre_pre_charger($barres) {
	include_spip('inc/inserer_modeles');
	include_spip('inc/utils');
	$formulaires_modeles = inserer_modeles_lister_formulaires_modeles();

	$params_from_get = $_GET;
	unset($params_from_get['exec']);
	unset($params_from_get['page']);

	$url_base = url_absolue(generer_url_public('inserer_modeles'));
	$url_base = parametre_url($url_base, 'modalbox', 'oui');

	foreach ($params_from_get as $param => $valeur) {
		$url_base = parametre_url($url_base, $param, $valeur);
	}
	if (count($formulaires_modeles) > 0) {
		$barre = &$barres['edition'];
		$barre->ajouterApres('grpCaracteres', array(
					'id' => 'sepInsMod',
					'separator' => '---------------',
					'display' => true,
		));

		$sous_menu = array();
		foreach ($formulaires_modeles as $nom => $formulaire) {
			if (substr($nom, -5) == '.yaml') {
				$nom = substr($nom, 0, -5);
			}
			$sous_menu[] = array(
				'id' => 'inserer_modele_'.$nom,
				'name' => $formulaire['nom'],
				'className' => 'outil_inserer_modele_'.$nom,
				'beforeInsert' => 'function() {jQuery.modalboxload("'.parametre_url($url_base,'formulaire_modele', $nom).'",{minHeight: "90%"});}',
				'display' => true,
			);
		}

		$barre->ajouterApres('sepInsMod', array(
			//groupe inserer_modeles et bouton inserer_modeles
			'id' => 'inserer_modeles',
			'name' => _T('inserer_modeles:outil_inserer_modeles'),
			'key' => 'M',
			'className' => 'outil_inserer_modeles',
			'beforeInsert' => 'function() {jQuery.modalboxload("'.$url_base.'",{minHeight: "90%"});}',
			'display' => true,
			'dropMenu' => $sous_menu,
		 ));
	}

	return $barres;
}

// Icones pour le porte-plume

function inserer_modeles_porte_plume_lien_classe_vers_icone($flux) {
	include_spip('inc/inserer_modeles');
	$formulaires_modeles = inserer_modeles_lister_formulaires_modeles();
	if (count($formulaires_modeles) > 0) {
		$icones = array();
		$icones['outil_inserer_modeles'] = 'inserer_modeles.png';
		foreach ($formulaires_modeles as $nom => $formulaire) {
			if (substr($nom, -5) == '.yaml') {
				$nom = substr($nom, 0, -5);
			}
			$icones['outil_inserer_modele_'.$nom] = $formulaire['icone_barre'];
		}

		return array_merge($flux, $icones);
	} else {
		return $flux;
	}
}


/**
 * Retourner la liste des pages où insérer le formulaire du plugin
**/
function inserer_modeles_objets() {
	include_spip('inc/config');
	$objets = lire_config('inserer_modeles/objets',
		array('spip_articles', 'spip_breves', 'spip_rubriques', 'spip_mots')
	);
	// Comme on utilise la saisie choisir_objets,
	// on retravaille les objets selectionnes pour avoir leur url_edit
	foreach ($objets as $key => $objet) {
			$objets[$key] = objet_info($objet, 'url_edit');
		}

	return $objets;
}
